Subject: Cygrunsrv failure ?
From: "Jacques-Etienne Rahon" <[email-masked]>
To: [email-masked]
Date: Tue, 9 Jul 2002 09:41:42 +0200
Newsgroups: gmane.os.cygwin

Hi,

I'm facing a small but unpleasant problem using Cygrunsrv.

I've compiled OpenLDAP 2.0.25 (stable-20020618) using Cygwin-1.3.12-1.
It works like a charm, and now I want to use it as a NT(/2K) service.

The problem is anytime I'm starting the service, I get:
"The slapd service is starting.
The slapd service could not be started.

The service did not report an error.

More help is available by typing NET HELPMSG 3534."

The event log has 2 new entries added:

1 error:
"The description for Event ID ( 0 ) in Source ( slapd) cannot be found.
The local computer may not have the necessary registry information or
message DLL files to display messages from a remote computer.
The following information is part of the event: slapd: Win32 Process Id =
0x658 : Cygwin Process Id = 0x658 :
starting service `slapd' failed: execv: 0, No error."

1 info:
"The description for Event ID ( 0 ) in Source ( slapd) cannot be found.
The local computer may not have the necessary registry information or
message DLL files to display messages from a remote computer.
The following information is part of the event: slapd: Win32 Process Id =
0x658 : Cygwin Process Id = 0x658 : `slapd' service stopped."

However:
    1) the program has successfully been launched and is running,
    2) the program error log is empty,
    3) there's not stale pid file.

My test install batch contains the following line:
cygrunsrv --install slapd --path "d:/openldap-cyg/bin/slapd.exe" --chdir
"d:/openldap-cyg/bin" --termsig INT --shutdown --args "-f
\"./slapd.conf\" -h \"ldaps:///\""

The program is located outside of Cygwin /bin or /usr/bin. But I've put all
the needed DLLs inside (cygwin1.dll, etc..)
I've also tried to put the executable into /bin... But I'm stuck.

Any help will be greatly appreciated :)

Jacques.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/